/* Heart */

#include <stereocalls.h>

void heart(point p, double x, double y)
{
double a, b, s, t;

   t = fabs(x);
   if (t<PI/2) s = 1; else s = -1;

   a = sqrt(1-y*y);
   b = 1 - 0.9 * s * pow( pow(sin(t) , 1-0.18*a*a*t) - 1 , 2);
   p[0] = a * ( b * cos(x) + 1);
   p[1] = 1.2 * a * b * sin(x);
   p[2] = 0.8 * y - 0.3 ;

}

void process()
{
   init_graphic_window(720, 720, DIRECT);
   set_range('x', -2.0, 2.0);
   set_range('y', -2.0, 2.0);
   set_range('z', -1.0, 1.0);
   
   rotation_angles(102,12,0);
   translation(0.0, -0.7, 0.0);
   graph(heart, -PI,PI,120, -1,1,40);

   set_grey_levels();   
}
