/* Sinusoidal circular waves */

#include <stereocalls.h>

double depth_waves(double x, double y)
{
double f;

   f = -cos(sqrt(x*x+y*y)*15);
   return f;
}

void process()
{
   init_graphic_window(720, 720, DIRECT);
   set_range('x', -1.0, 1.0);
   set_range('y', -1.0, 1.0);
   set_range('z', -2.0, 2.0);

   light(depth_waves);

   set_grey_levels();
}
