/* Cubes */

#include <stereocalls.h>

void cube()
{
   point p[8] = { {1,1, 1}, {-1,1, 1}, {1,-1, 1}, {-1,-1, 1},
                  {1,1,-1}, {-1,1,-1}, {1,-1,-1}, {-1,-1,-1}};

   mesh(p,0,1,2); mesh(p,1,2,3);
   mesh(p,4,5,6); mesh(p,5,6,7);
   mesh(p,0,2,4); mesh(p,2,4,6);
   mesh(p,1,3,5); mesh(p,3,5,7);
   mesh(p,0,1,4); mesh(p,1,4,5);
   mesh(p,2,3,6); mesh(p,3,6,7);
}

void process()
{
   init_graphic_window(720, 720, DIRECT);
   set_range('x', -3.0, 3.0);
   set_range('y', -3.0, 3.0);
   set_range('z', -2.0, 2.0);
   
   rotation_angles(30,25,12); 
   scale(0.9);
   translation(-0.6,0,0);
   build(cube);
   rotation_angles(-30,25,12); 
   scale(0.7);
   translation(1.4,0,-1);
   build(cube);

   set_grey_levels();   
}

