/* Hyperboloid */

#include <stereocalls.h>

void hyperboloid(point p, double x, double y)
{
double expy, coshy, sinhy;

   expy=exp(y) ;
   coshy=(expy+1/expy)/2; sinhy=(expy-1/expy)/2;

   p[0] = cos(x) * coshy;
   p[1] = sin(x) * coshy;
   p[2] = sinhy ;
}

void process()
{
   init_graphic_window(720, 720, DIRECT);
   set_range('x', -3.0, 3.0);
   set_range('y', -3.0, 3.0);
   set_range('z', -3.0, 3.0);   

   rotation_angles(0,45,23);
   graph(hyperboloid,0,2*PI,36,-1,1,16);
   
   set_grey_levels();   
}
