/* Octahedron */

#include <stereocalls.h>

void octahedron()
{
   point p[6] = {{1,0,0},{-1,0,0},{0,1,0},{0,-1,0},{0,0,1},{0,0,-1}};

   mesh(p,0,2,4); 
   mesh(p,0,2,5);
   mesh(p,0,3,4);
   mesh(p,0,3,5);
   mesh(p,1,2,4);
   mesh(p,1,2,5);
   mesh(p,1,3,4);
   mesh(p,1,3,5);
}

void process()
{
   init_graphic_window(720, 720, DIRECT);
   set_range('x', -2.0, 2.0);
   set_range('y', -2.0, 2.0);
   set_range('z', -1.5, 1.5);

   rotation_angles(34,22,45); 
   scale(1.5);
   build(octahedron);

   set_grey_levels();   
}
