/* Sphere in a box */

#include <stereocalls.h>

double depth(double x, double y)
{
double f;

   f = 0.25-(x*x+y*y);
   if (f<0) f=-4; else f = sqrt(f);
   return max(f, 2*(fabs(x)+fabs(y)-1.5) );
}

void process()
{
   init_graphic_window(720, 720, DIRECT);
   set_range('x', -1.3, 1.3);
   set_range('y', -1.3, 1.3);
   set_range('z', -1.0, 1.0);

   light(depth);

   set_grey_levels();   
}
   
