/* Tetrahedron */

#include <stereocalls.h>

void tetrahedron()
{
   point p[4] = {{1,1, 1}, {-1,-1, 1}, {-1,1,-1}, {1,-1,-1}};

   mesh(p,0,1,2); 
   mesh(p,0,1,3);
   mesh(p,0,2,3);
   mesh(p,1,2,3);
}

void process()
{
   init_graphic_window(720, 720, DIRECT);
   set_range('x', -3.0, 3.0);
   set_range('y', -3.0, 3.0);
   set_range('z', -2.0, 2.0);

   rotation_angles(34,22,45); 
   build(tetrahedron);

   set_grey_levels();
}
