/* Torus */

#include <stereocalls.h>

void torus(point p, double u, double v)
{
double a, b;

   a = 1.2 + 0.5 * cos(v);
   b = 0.5 * sin(v);
   p[0] = a * cos(u);
   p[1] = a * sin(u);
   p[2] = b;

}

void process()
{
   init_graphic_window(720, 720, DIRECT);
   set_range('x', -2.0, 2.0);
   set_range('y', -2.0, 2.0);
   set_range('z', -2.0, 2.0);

   rotation_angles(32,42,0);
   graph(torus, -PI,PI,60, -PI,PI,60);

   set_grey_levels();
}


